--新技能TypeId
local NewMagicType = {
--  [17640] = 1, -- 金戈铁马
	[10024680] = 1, -- 落日余晖-射箭
	[20024680] = 1, -- 落日余晖-射箭
	[30024680] = 1, -- 落日余晖-射箭
	[24700] = 1, -- 落日余晖-射箭
}

-- 陷阱TypeId
local Trap = {
	-- 配置陷阱对应的表现[xxx] = xxx(xxx.data)
	-- [4170] = 4170,
}

-- 参数
--	idMagicType，技能type
local function IsNewMagicType(idMagicType)
	local param = NewMagicType[idMagicType]
	if (param == nil) then
		return 0
	end

	return param
end

--	获取陷阱光效
local function GetMagicIdByTrap(idTrap)
	local param = Trap[idTrap]
	if (param == nil) then
		return 0
	end

	return param
end

-- 清理变量，释放内存
local function Unload()
	NewMagicType = nil
	Trap = nil
end

-- 通过require传给其他Lua脚本使用
local NewMagic = {
	IsNewMagicType = IsNewMagicType,
	GetMagicIdByTrap = GetMagicIdByTrap,
	Unload = Unload,
}

-- C++程序使用的global函数名
NewMagic_IsNewMagicType = NewMagic.IsNewMagicType
NewMagic_GetMagicIdByTrap = NewMagic.GetMagicIdByTrap
NewMagic_Unload = NewMagic.Unload

-- require返回值
return NewMagic